系统极客一直在努力
专注于操作系统及软件使用教程

Ubuntu 17.04 (Zesty Zapus)首个内核安全补丁发布


Ubuntu 17.04 从 2017 年 4 月 13 日发布以来就附带了 Linux 4.10 系列内核,而且它还保持从上游每周接收修补程序以修复 bug、更新安全补丁、更新驱动程序和添加新功能等。

Ubuntu 安全通告 USN-3293-1 说明,多个安全问题正在影响 Ubuntu 17.04 版本的 linux-generic (包括 lpae)、linux-lowlatency 和 linux-raspi2 内核包,及其使用相同内核的官方衍生产品,如:Kubuntu、Lubuntu、Xubuntu、Ubuntu MATE 和 Ubuntu GNOME 等。

Ubuntu 17.04首个内核安全补丁

  • CVE-2017-2596 被 Dmitry Vyukov 在 Linux Kernel 的 KVM 实现中发现,由于不适当地模拟 VMXON 指令会允许 Guest OS 中的本地攻击者在 Host OS 中造成(内存消耗)拒绝服务。
  • CVE-2017-7187 是 Linux 内核通用 SCSI (sg) 子系统中的堆栈缓冲区溢出,这可能允许本地攻击者访问 sg 设备,导致拒绝服务或执行随机代码来使系统崩溃。
  • CVE-2017-7294 是 Linux Kernel 用于 VMWare 设备直接渲染管理器(DRM)驱动程序中的整数溢出漏洞,它可能允许本地攻击者导致拒绝服务或执行任意代码。
  • CVE-2017-7477 是在 Linux 内核的 MACsec 模块中发现的堆溢出漏洞,它允许攻击者执行任意代码或导致拒绝服务, 从而使未修补的系统崩溃。
  • CVE-2017-7261 是 Linux Kernel 用于 VMWare 设备直接渲染管理器(DRM)驱动程序中发现的第二个漏洞,空指针引用可允许本地攻击者通过拒绝服务攻击来破坏受影响的系统。
  • CVE-2017-7616 是在 Linux 内核的 mbind compat 和 set_mempolicy 系统调用中发现的一个信息泄露漏洞,这使得本地攻击者能够从内核内存中公开敏感信息。

介于以上安全问题的严重性,所有 Ubuntu 17.04(Zesty Zapus)用户都应尽快更新系统,64 位和 32 位系统的内核版本为 linux-image-generic 4.10.0.21.23,Raspberry Pi 2 设备的内核版本为 linux-image-raspi2 4.10.0.1005.7。下载安装更新后,需要重启计算机。

Canonical 还发布了所有受支持的 Ubuntu 版本的新内核安全更新程序,包括:Ubuntu 16.10、Ubuntu 16.04 LTS 和 Ubuntu 14.04 LTS。如何更新 Ubuntu 操作系统的更多详细信息,可以参考 https://wiki.ubuntu.com/Security/Upgrades

分享到: 更多 (0)